mediawiki_selenium should document SauceLabs usage
Closed, ResolvedPublic

Description

@SBisson asked how to run the browser tests on SauceLabs, I eventually found a documentation on the wiki at https://www.mediawiki.org/wiki/Quality_Assurance/Browser_testing/Running_tests#Running_browser_tests_at_Sauce_Labs

export SAUCE_ONDEMAND_USERNAME=(username)
export SAUCE_ONDEMAND_ACCESS_KEY=(key)

It does not show up on the mediawiki-selenium ruby gems doc though: https://doc.wikimedia.org/rubygems/mediawiki-selenium/

hashar created this task.May 6 2015, 2:27 PM
hashar updated the task description. (Show Details)
hashar raised the priority of this task from to Needs Triage.
hashar added subscribers: hashar, SBisson, dduvall, zeljkofilipin.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 6 2015, 2:27 PM
zeljkofilipin triaged this task as Normal priority.Jun 2 2015, 3:51 PM
zeljkofilipin set Security to None.
Rammanojpotla added a subscriber: Rammanojpotla.EditedApr 15 2017, 6:17 AM

can anyone give me more information of this issue please?

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 15 2017, 6:17 AM
Rammanojpotla added a comment.EditedApr 18 2017, 12:20 PM

@zeljkofilipin Is this issue to add the documentation of the sauce labs above present in the link above to the documentation of mediawiki-selenium( i.e by adding it to the readme.md it appears in the main page of the documentation which is present above) , Am I right?

@Rammanojpotla correct. README.md should have a sentence about Sauce Labs and a link to Selenium/Ruby/Target beta cluster using Sauce Labs.

I have submitted a patch set at https://gerrit.wikimedia.org/r/#/c/348935/ can anyone review it please?

I have submitted a patch set at https://gerrit.wikimedia.org/r/#/c/348935/ can anyone review it please?

Done!

zeljkofilipin lowered the priority of this task from Normal to Low.Apr 27 2017, 1:59 PM
zeljkofilipin assigned this task to Rammanojpotla.

@zeljkofilipin I have changed the location of sauce labs after the screen shots and written only a line of it describing it,and pushed the patch to gerrit can you review it https://gerrit.wikimedia.org/r/#/c/348935/ ? , Is there any issue with the is issue it is giving me a merge conflict and asking me to rebase and upload the rebased change?

I have left my comments in Gerrit.

Change 348935 merged by jenkins-bot:
[mediawiki/selenium@master] mediawiki_selenium should document SauceLabs usage

https://gerrit.wikimedia.org/r/348935

zeljkofilipin closed this task as Resolved.Sun, May 21, 7:52 AM